import { registerExtension } from 'vscode/extensions';

var manifest = {name:"ipynb",displayName:"%displayName%",description:"%description%",publisher:"vscode",version:"1.0.0",license:"MIT",icon:"media/icon.png",engines:{vscode:"^1.57.0"},enabledApiProposals:["documentPaste","diffContentOptions","dropMetadata"],activationEvents:["onNotebook:jupyter-notebook","onNotebookSerializer:interactive"],extensionKind:["workspace","ui"],main:undefined,browser:"./dist/browser/ipynbMain.js",capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},contributes:{configuration:[{properties:{"ipynb.pasteImagesAsAttachments.enabled":{type:"boolean",scope:"resource",markdownDescription:"%ipynb.pasteImagesAsAttachments.enabled%","default":true}}}],commands:[{command:"ipynb.newUntitledIpynb",title:"%newUntitledIpynb.title%",shortTitle:"%newUntitledIpynb.shortTitle%",category:"Create"},{command:"ipynb.openIpynbInNotebookEditor",title:"%openIpynbInNotebookEditor.title%"},{command:"ipynb.cleanInvalidImageAttachment",title:"%cleanInvalidImageAttachment.title%"},{command:"notebook.cellOutput.copy",title:"%copyCellOutput.title%",category:"Notebook"}],notebooks:[{type:"jupyter-notebook",displayName:"Jupyter Notebook",selector:[{filenamePattern:"*.ipynb"}],priority:"default"}],notebookRenderer:[{id:"vscode.markdown-it-cell-attachment-renderer",displayName:"%markdownAttachmentRenderer.displayName%",entrypoint:{"extends":"vscode.markdown-it-renderer",path:"./notebook-out/cellAttachmentRenderer.js"}}],menus:{"file/newFile":[{command:"ipynb.newUntitledIpynb",group:"notebook"}],commandPalette:[{command:"ipynb.newUntitledIpynb"},{command:"ipynb.openIpynbInNotebookEditor",when:"false"},{command:"ipynb.cleanInvalidImageAttachment",when:"false"},{command:"notebook.cellOutput.copy",when:"notebookCellHasOutputs"}],"webview/context":[{command:"notebook.cellOutput.copy",when:"webviewId == 'notebook.output' && webviewSection == 'image'"}]}},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), 'text/markdown');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');
registerFileUrl('media/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), 'image/png');
registerFileUrl('notebook-out/cellAttachmentRenderer.js', new URL('./resources/cellAttachmentRenderer.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('notebook-out/cellAttachmentRenderer', new URL('./resources/cellAttachmentRenderer.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/ipynbMain.js', new URL('./resources/ipynbMain.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/ipynbMain', new URL('./resources/ipynbMain.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/ipynbMain.js.map', new URL('./resources/ipynbMain.js.map', import.meta.url).toString(), 'application/json');

export { whenReady };
